Check Eligibility
curl --request POST \
--url https://api.series.hr/applications/check-eligibility \
--header 'Content-Type: application/json' \
--header 'apikey: <api-key>' \
--data '
{
"UserId": "<string>",
"CentreId": "<string>"
}
'import requests
url = "https://api.series.hr/applications/check-eligibility"
payload = {
"UserId": "<string>",
"CentreId": "<string>"
}
headers = {
"apikey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {apikey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({UserId: '<string>', CentreId: '<string>'})
};
fetch('https://api.series.hr/applications/check-eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Applications
Check Eligibility
Check if user can submit application
POST
/
applications
/
check-eligibility
Check Eligibility
Check if a user meets the eligibility requirements to submit an application.
Request
curl -X POST https://api.series.hr/applications/check-eligibility \
-H "apikey: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"UserId": "714760171",
"CentreId": "centre_123"
}'
Parameters
string
required
Application centre ID
string
required
Roblox user ID to check
Response
{
"success": true,
"data": {
"UserId": "714760171",
"eligible": true,
"requirements": {
"accountAgeRequired": true,
"experiencePointsRequired": true,
"noActiveBans": true
}
}
}
⌘I

